## r-cran-etm 0.6

=== DESCRIPTION ===
Package: etm
Title: Empirical Transition Matrix
Version: 0.6-2
Author: Arthur Allignol
Description: Matrix of transition probabilities for any time-inhomogeneous multistate model with finite state space
Maintainer: Arthur Allignol <arthur.allignol@uni-ulm.de>
License: GPL (>= 2)
Depends: R (>= 2.14), survival
Imports: lattice
Suggests: ggplot2, kmi, geepack
Packaged: 2014-12-09 13:12:40 UTC; arthur
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-12-09 14:57:15

## r-cran-etm 0.6-2

=== debian/changelog ===
r-cran-etm (0.6-2-3) unstable; urgency=medium

  * Make test more tolerant against different output to compare with

 -- Andreas Tille <tille@debian.org>  Fri, 29 Apr 2016 09:36:56 +0200

r-cran-etm (0.6-2-2) unstable; urgency=medium

  * Fix autopkgtest
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2016 21:22:03 +0200

r-cran-etm (0.6-2-1) unstable; urgency=low

  * Initial release (closes: #799928)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Sep 2015 14:09:06 +0200

=== debian/control ===
Source: r-cran-etm
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-lattice,
               r-cran-survival
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-etm/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-etm/trunk/
Homepage: https://cran.r-project.org/web/packages/etm/

Package: r-cran-etm
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         r-cran-lattice,
         r-cran-survival
Description: GNU R empirical transition matrix
 This GNU R package provides matrix of transition probabilities for any
 time-inhomogeneous multistate model with finite state space.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/etm_([-\d.]*)\.tar\.gz

## r-cran-etm 1.0.4

=== debian/changelog ===
r-cran-etm (1.0.4-2ubuntu1) cosmic; urgency=medium

  * Ignore two lines of test output where exact
    floating point values are compared (Closes: #908662)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 01 Oct 2018 11:12:58 +0000

r-cran-etm (1.0.4-2) unstable; urgency=medium

  * Test-Depends: r-cran-kmi
    Closes: #903672, #903719
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 10 Sep 2018 09:19:56 +0200

r-cran-etm (1.0.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jul 2018 14:09:54 +0200

r-cran-etm (1.0.3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jul 2018 08:59:21 +0200

r-cran-etm (0.6-2.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2018 09:59:44 +0200

r-cran-etm (0.6-2-5) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 08:41:15 +0200

r-cran-etm (0.6-2-4) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Convert from cdbs to dh-r
  * debhelper 10
  * Remove redundant autopkgtest entry
  * Secure URI in watch file
  * Canonical homepage for CRAN packages

 -- Andreas Tille <tille@debian.org>  Thu, 19 Oct 2017 12:35:44 +0200

=== debian/control ===
Source: r-cran-etm
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-survival,
               r-cran-lattice,
               r-cran-data.table,
               r-cran-rcpp (>= 0.11.4),
               r-cran-rcpparmadillo
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-etm
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-etm.git
Homepage: https://cran.r-project.org/package=etm

Package: r-cran-etm
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R empirical transition matrix
 This GNU R package provides matrix of transition probabilities for any
 time-inhomogeneous multistate model with finite state space.

## r-cran-etm 1.0.5

=== debian/changelog ===
r-cran-etm (1.0.5-2) unstable; urgency=medium

  * Team upload
  * Drop fix_test_results.patch
  * Filter out test output where exact floating point values are
    compared in order to fix autopkgtest on all architectures
    Closes: 908662

 -- Graham Inggs <ginggs@debian.org>  Sat, 20 Jul 2019 09:21:21 +0000

r-cran-etm (1.0.5-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Secure URI in copyright format
  * Patch test result to match numerically exact
    Closes: #908662

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jul 2019 08:36:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: r-cran-etm
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-survival,
@@ -12,7 +11,7 @@
                r-cran-data.table,
                r-cran-rcpp (>= 0.11.4),
                r-cran-rcpparmadillo
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-etm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-etm.git
 Homepage: https://cran.r-project.org/package=etm

## r-cran-etm 1.0.5.1

=== debian/changelog ===
r-cran-etm (1.0.5.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Refer to specific version of license GPL-2+.
  * Adapt autopkgtest

 -- Andreas Tille <tille@debian.org>  Mon, 10 Feb 2020 13:32:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-survival,
@@ -11,7 +11,7 @@
                r-cran-data.table,
                r-cran-rcpp (>= 0.11.4),
                r-cran-rcpparmadillo
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-etm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-etm.git
 Homepage: https://cran.r-project.org/package=etm

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/etm_([-\d.]*)\.tar\.gz

## r-cran-etm 1.1

=== debian/changelog ===
r-cran-etm (1.1-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:21:30 +0000

r-cran-etm (1.1-2) unstable; urgency=medium

  * Team upload.
  * Re-write DEP-8 tests to avoid to compare "expected" outputs (*.Rout.save)
     with our outputs. They are not expected to be identical, the
     "CRAN Package Check Results" show differences.
     Comparing theses outputs produce a lot of false positive.
     (Closes: #961357)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 27 May 2020 09:51:44 +0200

r-cran-etm (1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 28 Apr 2020 09:34:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
@@ -15,6 +16,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-etm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-etm.git
 Homepage: https://cran.r-project.org/package=etm
+Rules-Requires-Root: no
 
 Package: r-cran-etm
 Architecture: any

## r-cran-etm 1.1.1

=== DESCRIPTION ===
Package: etm
Type: Package
Title: Empirical Transition Matrix
Version: 1.1.1
Authors@R: c(person("Mark", "Clements", role = c("aut", "cre"),
		     email = "mark.clements@ki.se"),
	     person("Arthur", "Allignol", role="aut"))
Description: The etm (empirical transition matrix) package permits to estimate the matrix of transition probabilities for any time-inhomogeneous multi-state model with finite state space using the Aalen-Johansen estimator. Functions for data preparation and for displaying are also included (Allignol et al., 2011 <doi:10.18637/jss.v038.i04>). Functionals of the Aalen-Johansen estimator, e.g., excess length-of-stay in an intermediate state, can also be computed (Allignol et al. 2011 <doi:10.1007/s00180-010-0200-x>).
Maintainer: Mark Clements <mark.clements@ki.se>
License: MIT + file LICENSE
Depends: R (>= 3.0.0)
Imports: survival, lattice, data.table, Rcpp (>= 0.11.4)
Suggests: ggplot2, kmi, geepack
LinkingTo: Rcpp, RcppArmadillo
NeedsCompilation: yes
Packaged: 2020-09-08 06:24:32 UTC; marcle
Repository: CRAN
Date/Publication: 2020-09-08 13:40:03 UTC
Author: Mark Clements [aut, cre],
  Arthur Allignol [aut]

=== debian/changelog ===
r-cran-etm (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Sep 2020 11:33:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-survival,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-kmi
Restrictions: allow-stderr

## r-cran-etm 1.1.2

=== DESCRIPTION ===
Package: etm
Type: Package
Title: Empirical Transition Matrix
Version: 1.1.2
Authors@R: c(person("Arthur", "Allignol", role = "aut",
	   email = "arthur.allignol@gmail.com"),
	   person("Mark", "Clements", role = c("cre","aut"),
	   email = "mark.clements@ki.se"))
Description: The etm (empirical transition matrix) package permits to estimate the matrix of transition probabilities for any time-inhomogeneous multi-state model with finite state space using the Aalen-Johansen estimator. Functions for data preparation and for displaying are also included (Allignol et al., 2011 <doi:10.18637/jss.v038.i04>). Functionals of the Aalen-Johansen estimator, e.g., excess length-of-stay in an intermediate state, can also be computed (Allignol et al. 2011 <doi:10.1007/s00180-010-0200-x>).
License: MIT + file LICENSE
Depends: R (>= 3.0.0)
Imports: survival, lattice, data.table, Rcpp (>= 0.11.4)
Suggests: ggplot2, kmi, geepack
LinkingTo: Rcpp, RcppArmadillo
NeedsCompilation: yes
Packaged: 2025-04-12 08:12:18 UTC; marcle
Author: Arthur Allignol [aut],
  Mark Clements [cre, aut]
Maintainer: Mark Clements <mark.clements@ki.se>
Repository: CRAN
Date/Publication: 2025-04-12 08:40:02 UTC

=== debian/changelog ===
r-cran-etm (1.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Dec 2025 14:24:20 +0900

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,11 @@
                r-cran-survival,
                r-cran-lattice,
                r-cran-data.table,
-               r-cran-rcpp (>= 0.11.4),
-               r-cran-rcpparmadillo
-Standards-Version: 4.5.0
+               r-cran-rcpp,
+               r-cran-rcpparmadillo,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-etm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-etm.git
 Homepage: https://cran.r-project.org/package=etm

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-ggplot2,
        r-cran-kmi,
        r-cran-geepack
Restrictions: allow-stderr
